MAPI
AudioSuno

Create Voice

Submit this Suno capability through POST /v1/music/generations with model: "suno-create-voice".

POST
/v1/music/generations

Authorization

BearerAuth

AuthorizationBearer <token>

使用 MAPI Bearer Token 认证。格式:Authorization: Bearer sk-xxxxxx。

In: header

Request Body

application/json

model*string

固定填写 suno-create-voice。

audio_url*string

源音轨公网 URL,必填,仅支持 MP3 或 WAV。

Formaturi

Response Body

application/json

application/json

curl -X POST "https://loading/v1/music/generations" \  -H "Content-Type: application/json" \  -d '{    "model": "suno-create-voice",    "audio_url": "https://example.com/source.mp3"  }'
{
  "code": 200,
  "message": "success",
  "data": [
    {
      "status": "submitted",
      "task_id": "task_aehCmxJ5YUNOIQGgkhvxaco4T9P2h3Dw"
    }
  ]
}
{
  "code": "invalid_request",
  "message": "audio_url cannot be empty",
  "data": null
}

Last updated on